/*
  BMP180 Barometrik Basınç Sensörü Arduino ile Nasıl Kullanılır?
 
  BMP180 Barometrik Basınç Sensörünün detaylı açıklaması ve örnek projelerini
  web sitemizde bulabilirsiniz.
 
  Mete Hoca
  https://www.metehoca.com/
*/

#include <Adafruit_BMP085.h> // Adafruit'in BMP085 kütüphanesi

Adafruit_BMP085 bmp;         // Kütüphaneyi tanımlıyoruz
  
void setup() {
  Serial.begin(9600);        // Seri Port Ekranı'nı ayarlayalım
  bmp.begin();               // Kütüphaneyi başlatıyoruz
}
  
void loop() {
  Serial.print("Sıcaklık: ");
  Serial.print(bmp.readTemperature());      // Sıcaklık değerini okuyoruz
  Serial.print("°C | ");
    
  Serial.print("Basınç: ");
  Serial.print(bmp.readPressure()/100);     // Basınç değerini okuyoruz
  Serial.print(" hPa | ");
    
  Serial.print("Rakım: ");
  Serial.print(bmp.readAltitude(101500),1); // Rakım değerini okuyoruz
  Serial.println(" metre");

  delay(1000); // Biraz bekleyelim
}
